# Tutorials

We provide step-by-step guides to get you started. We cover the following use-cases:

<!-- --8<-- [start:tutorials] -->

=== card {: href=/tutorials/spacy101 }

    :fontawesome-regular-file-code:
    **Spacy representations**

    ---
    Learn the basics of how documents are represented with spaCy.

=== card {: href=/tutorials/matching-a-terminology }

    :fontawesome-solid-book:
    **Matching a terminology**

    ---
    Extract phrases that belong to a given terminology.

=== card {: href=/tutorials/qualifying-entities }

    :fontawesome-regular-square-check:
    **Qualifying entities**

    ---
    Ensure extracted concepts are not invalidated by linguistic modulation.

=== card {: href=/tutorials/detecting-dates }

    :fontawesome-regular-calendar:
    **Detecting dates**

    ---
    Detect and parse dates in a text.

=== card {: href=/tutorials/multiple-texts }

    :fontawesome-regular-copy:
    **Processing multiple texts**

    ---
    Improve the inference speed of your pipeline

=== card {: href=/tutorials/reason }

    :fontawesome-regular-hospital:
    **Detecting hospitalisation reason**

    ---
    Identify spans mentioning the reason for hospitalisation or tag entities as the reason.

=== card {: href=/tutorials/endlines }

    ↵ **Detecting false endlines**

    ---
    Classify each line end and add the `excluded` attribute to these tokens.

=== card {: href=/tutorials/aggregating-results }

    :fontawesome-solid-calculator:
    **Aggregating results**

    ---
    Aggregate the results of your pipeline at the document level.

=== card {: href=/advanced-tutorials/fastapi }

    :fontawesome-solid-server:
    **FastAPI**

    ---
    Deploy your pipeline as an API.

=== card {: href=/tutorials/make-a-training-script }

    :fontawesome-solid-brain:
    **Make a training script**

    ---
    Learn how to train a NER pipeline with EDS-NLP.

<!-- --8<-- [end:tutorials] -->
